use thiserror::Error;

#[derive(Error, Debug)]
pub enum Error {
    #[error("Index is too large, must be less than 0x80000000: {0}")]
    IndexTooLarge(u32),

    #[error("Unable to parse integer for index")]
    IntParseError(#[from] std::num::ParseIntError),

    #[error("Unable to parse path due to bad path prefix")]
    UnknownPathPrefix,
}

pub type Result<T, E = Error> = std::result::Result<T, E>;
